/* Estilo base para los artículos */
.articles {
    color: #453f3e;
    font-family: 'Montserrat', montserrat, sans-serif;
    font-size: 18px;
    letter-spacing: normal;
    text-transform: none;
    font-weight: 350;
    text-align: start;
    line-height: 27px;
    padding: 0;
    margin: 0;
}

.articles p {
    margin: 0 0 0 0;
    padding: 0 0 22px 0;
    font-size: 18px;
    line-height: 27px;
    letter-spacing: normal;
}

/* Estilo para los encabezados */
.articles h2 {
    font-size: 28px;
    font-weight: 600;
    margin: 0 0 0 0;
    padding: 0 0 0 0;
    color: #453f3e;
}

.articles h3 {
    font-size: 18px;
    font-weight: 600;
    margin: 0 0 0 0;
    padding: 20px 0 25px 0;
    color: #453f3e;
}

/* Estilo para listas */
.articles ol, .articles ul {
    margin: 0 0 0 0;
    padding: 0 0 10px 70px;

}

.articles ol li, .articles ul li {
    padding: 0 0 12px 0;
    margin: 0 0 0 0;
    font-size: 18px;
    letter-spacing: normal;
    line-height: 27px;
}

/* Estilo para reemplazar el <strong> */
.articles .strong {
    font-weight: 600;
    color: #453f3e;
}

/* Clases adicionales */
.articles-container {
    padding: 0;
    width: 100%;
    margin: 0 auto;
}

.articles-container p {
    margin: 0 0 18px 0;
    padding: 0 0 0 0;
}

.articles-container h2, 
.articles-container h3 {
    margin: 0;
}


/* Estilos generales de la tabla */
.table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
}

.table th, .table td {
    padding: 12px;
    border: 1px solid #ccc;
}

/* Estilo para el thead */
.table-head {
    background-color: #ffffff;
    color: rgb(0, 0, 0);
}

/* Estilo para las celdas del encabezado en modo azul */
.table-head.th-blue .blue-th {
    background-color: #1b2e58; /* azul rey */
    color: #ffffff;            /* texto blanco */
    font-weight: 600;          /* opcional, resalta un poco más */
    text-align: center; /* Alinea la columna al centro */
}

/* Clases para color de fondo de celdas específicas */
.table-body .green-cell {
    background-color: #c6e0b4; /* Verde limón */
}

.table-body .blue-cell {
    background-color: #bdd7ee; /* Celeste claro */
}

.table-body .gray-cell {
    background-color: #cacaca; /* Celeste claro */
}

.table-body .yellow-cell {
    background-color: #faf3bb; /* Celeste claro */
}

/* Asegúrate de que la alineación funcione con los colores */
.table-body .left-align {
    text-align: left; /* Alinea la columna a la izquierda */
}

.table-body .center-align {
    text-align: center; /* Alinea la columna al centro */
}

/* Efecto hover en filas del tbody */
.table-body tr:hover {
    background-color: #f2f2f2; /* Color de fondo al pasar el ratón */
}

/* Estilo para la tabla */
.table-custom {
    width: auto; /* Ajusta el ancho de la tabla al contenido */
    border-collapse: collapse;
}

/* Estilo para las celdas dentro de la tabla */
.table-body .column-1 {
    width: 20px; /* Ancho de 20px para la primera columna */
}

.table-body .column-2 {
    width: 250px; /* Ancho de 250px para la segunda columna */
}

/* Asegurando el estilo de las celdas */
.table-body td {
    padding: 5px;
    border: 1px solid #ccc;
}

/* Ajustes responsivos */
@media (max-width: 768px) {
    .articles {
        font-size: 14px;
    }

    .articles h2 {
        font-size: 18px;
    }

    .articles h3 {
        font-size: 15px;
        padding: 12px 0 10px 0;
    }

    .articles p {
        margin: 0 0 0 0;
        padding: 0 0 10px 0;
    }

    .articles ol, .articles ul {
        margin: 0 0 0 0;
        padding: 0 0 10px 30px;
    }
    
    .articles ol li, .articles ul li {
        padding: 0 0 10px 0;
        margin: 0 0 0 0;
    }
}
